Quantcast
Channel: Scripting - McNeel Forum
Viewing all articles
Browse latest Browse all 5749

Merge All Coplanar Faces from python

$
0
0

Forgive me if this is an easy to find answer, I’m not finding the forum or api searching useful in this case.

I’ve made an object by BooleanUnion’ing multiple rs.AddBox() results and I can still see the coplanar internal edges. From the UI I can select the _MergeAllCoplanarFaces command easily enough, but I’d like to include it in my script instead.

import rhinoscriptsyntax as rs

obj = rs.GetObject()

brep = rs.coercebrep(obj)

success = brep.MergeCoplanarFaces(.001)

print('merged? {}'.format(success))

That was my naive attempt, but it doesn’t do what I want (and yet returns True). What am I missing?

Here’s the test object I’m using that demonstrates my issue.

test.3dm (2.7 MB)

4 posts - 3 participants

Read full topic


Viewing all articles
Browse latest Browse all 5749

Trending Articles